ResourceBundle::getErrorCode
ResourceBundle::get
ResourceBundle
PHP Manual

# ResourceBundle::getErrorMessage

# resourcebundle_get_error_message

Get bundle's last error message.

### Description

Object oriented style

public string ResourceBundle::getErrorMessage ( void )

Procedural style

string resourcebundle_get_error_message ( ResourceBundle `$r` )

Get error message from the last function performed by the bundle object.

### Parameters

`r`

  ResourceBundle object.

### Return Values

Returns error message from last bundle object's call.

### Examples

Example #1 resourcebundle_get_error_message example

`<?php
$r = resourcebundle_create( 'es', "/usr/share/data/myapp");
echo $r['somestring'];
if(intl_is_failure(resourcebundle_get_error_code($r))) {
report_error("Bundle error: ".resourcebundle_get_error_message($r));
}
?>`

Example #2 OO example

`<?php
$r = new ResourceBundle( 'es', "/usr/share/data/myapp");
echo $r['somestring'];
if(intl_is_failure(ResourceBundle::getErrorCode($r))) {
report_error("Bundle error: ".ResourceBundle::getErrorMessage($r));
}
?>`

### See Also

- resourcebundle_get_error_code
- intl_get_error_code
- intl_is_failure